Repository 32bit  Forum
Repository 64bit  Wiki

xfce-4.8

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

xfce-4.8

Messaggioda tornadomig » gio mag 31, 2012 10:40

ciao a tutti!

vorrei effettuare upgrade a xfce-4.8 su -current e -current64. metto i pkg binari senza compilare. su virtualbox la cosa pero' non e' andata a buon fine. non so che dire...tanto per dirne una non mi apriva la /home...
e' che adesso mi ha intrigato xfce e volevo capirne di piu'.

ci sono solo i pkg di rworkman sul repo di alienbob?

qualcuno ci e' riuscito (sicuramente) e mi da' gentilmente qualche dritta?

grazie!!!
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 507
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: xfce-4.8

Messaggioda joseph » gio mag 31, 2012 13:41

Guarda ti dico la verità non ho capito molto bene qual'è il problema...In pratica Xfce dopo l'upgrade funziona male? Si killano dei processi ? (tipo il panel o altro?) ricevi messaggi di errori? facci sapere forse sono io che non ho capito....chiedo scusa se è cosi :D
Avatar utente
joseph
Linux 2.4
Linux 2.4
 
Messaggi: 205
Iscritto il: lun giu 14, 2010 22:50
Località: Salerno
Slackware: 13.37
Kernel: 3.2.9
Desktop: xfce

Re: xfce-4.8

Messaggioda Plaoo » gio mag 31, 2012 15:51

Io avevo installato xfce4.8 usando i pkg di rlworkman e seguendo l' HOW-TO presente insieme ai pkg, non ho avuto nessun problema.
Il canale ufficiale di slacky.eu si trova sui server irc.syrolnet.org canale #slackware
Avatar utente
Plaoo
Linux 2.6
Linux 2.6
 
Messaggi: 809
Iscritto il: gio apr 10, 2008 16:40
Località: Ittiri (SS)
Slackware: 14 64
Kernel: 3.2.9
Desktop: KDE

Re: xfce-4.8

Messaggioda tornadomig » gio mag 31, 2012 17:04

vi ringrazio tanto dell'interessamento!

ho appena fatto l'upgrade. ho preso i binari e messi su' con un bel upgradepkg --reinstall --install-new *.t?z come fa alienbob con kde.

problemino: se apro con il gestore di file i vari folder non visualizza niente all'interno ed era quello che gia' mi faceva quando avevo testato con virtualbox. dove sta l'inghippo?
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 507
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: xfce-4.8

Messaggioda slux » gio mag 31, 2012 19:08

Ciao,
io la 4.8 l'ho proprio saltata,anche perchè pare sia più semplice installare la 4.10 su Slack,e quindi incuriosito dalla nuova versione appena uscita e dai commenti positivi che ho letto su linuxquestions,ho provato ad installarla, prelevando i pacchetti da questo link http://www.linuxquestions.org/questions/slackware-14/xfce-4-10-a-937767/page4.html#post4667370
Manca qualche dipendenza facilmente reperibile dal sito di Workman (udisk, upower ,gnome-disk-utility e sg3_utils) o Slackbuilds.org.Ho ricompilato a mano 2 o tre plugin non presenti,ma per il resto è perfetta!Non ho ancora trovato un difetto \:D/ Tieni conto però che ho disinstallato tutto a manina da init3 e poi DOPO ho fatto un installpkg di massa.
Avatar utente
slux
Linux 2.6
Linux 2.6
 
Messaggi: 782
Iscritto il: dom mar 20, 2005 0:00
Località: Prato
Nome Cognome: Andrea Amerini
Slackware: 14.1 x86
Kernel: 3.12.0-smp
Desktop: xfce 4.10

Re: xfce-4.8

Messaggioda Plaoo » gio mag 31, 2012 20:32

slux ha scritto:Ciao,
io la 4.8 l'ho proprio saltata,anche perchè pare sia più semplice installare la 4.10 su Slack,e quindi incuriosito dalla nuova versione appena uscita e dai commenti positivi che ho letto su linuxquestions,ho provato ad installarla, prelevando i pacchetti da questo link http://www.linuxquestions.org/questions/slackware-14/xfce-4-10-a-937767/page4.html#post4667370
Manca qualche dipendenza facilmente reperibile dal sito di Workman (udisk, upower ,gnome-disk-utility e sg3_utils) o Slackbuilds.org.Ho ricompilato a mano 2 o tre plugin non presenti,ma per il resto è perfetta!Non ho ancora trovato un difetto \:D/ Tieni conto però che ho disinstallato tutto a manina da init3 e poi DOPO ho fatto un installpkg di massa.

slux senti, come hai risolto con l'automount? Io ho installato gnome-mount e devo lasciare attivato hal. Cosi facendo mi ritrovo le periferiche esterne (tipo pennina usb, o nel mio caso, secondo hd) come icone invisibili sul desktop, mi basta cliccarci sopra e vengono montate. In realtà ho installato varie cose, tipo gnome-disk-utility, devo capire di quale posso fare a meno.
Il canale ufficiale di slacky.eu si trova sui server irc.syrolnet.org canale #slackware
Avatar utente
Plaoo
Linux 2.6
Linux 2.6
 
Messaggi: 809
Iscritto il: gio apr 10, 2008 16:40
Località: Ittiri (SS)
Slackware: 14 64
Kernel: 3.2.9
Desktop: KDE

Re: xfce-4.8

Messaggioda tornadomig » ven giu 01, 2012 12:05

@slux: grazie della risposta, caro!

figurati che nel frattempo ho installato gentoo con xfce e devo dire che dopo un po' di personalizzazioni e ottimizzazioni varie fila bene. e ci va meta' tempo rispetto a kde nella compilazione (cio' dipende da cpu a cpu comunque lasciandolo girare la notte magari...)

ma non e' che ho saltato qualche passaggio? eppure nell'how-to si diceva solo di installare e basta. e poi ho messo solo i binari quindi non avevo bisogno di seguire l'ordine delle deps (gli extra non li ho messi e poi uso wicd).

sulla documentation list di gentoo pero' (ecco perche' l'ho tirato in ballo) si dice questo:

Codice: Seleziona tutto
Aggiornamento Xfce

Se si sta aggiornando Xfce da una versione inferiore alla 4.8 alla versione 4.8 o successive, sarà necessario rimuovere i propri vecchi profili e sessioni memorizzati poichè incompatibili con la versione 4.8 (e successive). Per ciascuno dei propri utenti eseguire i seguenti comandi per rimuovere i vecchi profili e sessioni incompatibili:

Codice 5.1: Rimuovere le vecchie sessioni dalla cache

$ rm -r ~/.cache/sessions
$ rm -r ~/.config/xfce*
$ rm -r ~/.config/Thunar

Gli utenti saranno accolti con una nuova e brillante interfaccia, ma perderanno molte delle loro impostazioni personali. Sfortunatamente, che noi sappiamo, non esiste alcun tool per la migrazione di configurazioni.


ho da fare anche io altrettanto, sia che aggiorni con 4.8 o con 4.10?

ancora grazie ragazzi!!! :thumbright:
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 507
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: xfce-4.8

Messaggioda slux » ven giu 01, 2012 14:48

Plaoo ha scritto:slux senti, come hai risolto con l'automount? Io ho installato gnome-mount e devo lasciare attivato hal. Cosi facendo mi ritrovo le periferiche esterne (tipo pennina usb, o nel mio caso, secondo hd) come icone invisibili sul desktop, mi basta cliccarci sopra e vengono montate. In realtà ho installato varie cose, tipo gnome-disk-utility, devo capire di quale posso fare a meno.


Hal non l'ho toccato.Ancora non sono sicuro se lo possiamo defenestrare impunemente.Aspetto Pat per questo. ;)
Io ho disabilitato la visualizzazione dei dischi rimovibili sul desktop così:
Tasto destro sul desktop->Impostazioni scrivania->Icone e poi ho disabilitato i dispositivi removibili.
Se vuoi accedere ai dischi esterni usb o alla pennina ,apri Thunar e li troverai belli ordinati sulla sinistra. :)
Avatar utente
slux
Linux 2.6
Linux 2.6
 
Messaggi: 782
Iscritto il: dom mar 20, 2005 0:00
Località: Prato
Nome Cognome: Andrea Amerini
Slackware: 14.1 x86
Kernel: 3.12.0-smp
Desktop: xfce 4.10

Re: xfce-4.8

Messaggioda slux » ven giu 01, 2012 14:52

tornadomig ha scritto:ho da fare anche io altrettanto, sia che aggiorni con 4.8 o con 4.10?

ancora grazie ragazzi!!! :thumbright:


Sì,devi farlo,perchè come dice anche l'How-to i file non sono compatibili.E poi, IMHO, è sempre bene partire a pulito dopo un'upgrade.Eventualmente fai un tar di tutte le directory da rimuovere prima.Se proprio non ti ci trovi,o hai qualche inghippo,puoi tornare indietro con la configurazione ;)
Avatar utente
slux
Linux 2.6
Linux 2.6
 
Messaggi: 782
Iscritto il: dom mar 20, 2005 0:00
Località: Prato
Nome Cognome: Andrea Amerini
Slackware: 14.1 x86
Kernel: 3.12.0-smp
Desktop: xfce 4.10

Re: xfce-4.8

Messaggioda tornadomig » ven giu 01, 2012 20:04

oh grazie slux, sei stato gentilissimo!

ancora una cosa...per passare poi volendo a 4.10, scusa se te lo chiedo, dove prendo i pkg?
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 507
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: xfce-4.8

Messaggioda slux » sab giu 02, 2012 8:07

tornadomig ha scritto:oh grazie slux, sei stato gentilissimo!

ancora una cosa...per passare poi volendo a 4.10, scusa se te lo chiedo, dove prendo i pkg?


Rileggi bene i miei post precedenti ;)
Avatar utente
slux
Linux 2.6
Linux 2.6
 
Messaggi: 782
Iscritto il: dom mar 20, 2005 0:00
Località: Prato
Nome Cognome: Andrea Amerini
Slackware: 14.1 x86
Kernel: 3.12.0-smp
Desktop: xfce 4.10

Re: xfce-4.8

Messaggioda tornadomig » sab giu 02, 2012 9:36

@slux

si' giusto, scusami. notevole come hai le cose davanti e non te ne accorgi. che pirla che sono.

e grazie ancora. buona festa. w la repubblica
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 507
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: xfce-4.8

Messaggioda tornadomig » dom giu 03, 2012 20:12

niente da fare...che vi devo dire...mi tengo xfce-4.6 che va lo stesso alla grande.

purtroppo il problema rimane...dopo i vari upgrade sia di 4.8 o 4.10 non ottengo il caricamento del contenuto dei vari folders quando li voglio aprire :( ...boh non capisco. anche googlando non mi sembra di aver riscontrato soluzioni anche se ho notato che e' successo lo stesso fenomeno anche su altre distro.

dai, lo tengo cosi' fin quando il buon pat ci metta dell'altro. l'importante e' riottenere un DE funzionante

grazie comunque a tutti! (almeno su gentoo mi va tutto ;) )
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 507
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: xfce-4.8

Messaggioda miklos » mar giu 26, 2012 11:19

ragazzi, stavo guardando un po' le nuove versioni di xfce e ho notato che hanno dipendenze quantomeno bislacche 'legate' al mondo gnome! :doubt:
Che voi sappiate sono dipendenze 'obbligatorie'!??! oppure si possono in qualche modo disabilitare!?!?!?

conoscendo un po' il buon pat, inizio a capire il perchè del mancato aggiornamento :D
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1223
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.12.6
Desktop: openbox 3.5.2

Re: xfce-4.8

Messaggioda Plaoo » mar giu 26, 2012 12:34

tornadomig ha scritto:niente da fare...che vi devo dire...mi tengo xfce-4.6 che va lo stesso alla grande.

purtroppo il problema rimane...dopo i vari upgrade sia di 4.8 o 4.10 non ottengo il caricamento del contenuto dei vari folders quando li voglio aprire :( ...boh non capisco. anche googlando non mi sembra di aver riscontrato soluzioni anche se ho notato che e' successo lo stesso fenomeno anche su altre distro.

dai, lo tengo cosi' fin quando il buon pat ci metta dell'altro. l'importante e' riottenere un DE funzionante

grazie comunque a tutti! (almeno su gentoo mi va tutto ;) )

In questo caso credo sia un problema di thunar (il file manager di xfce), hai installato tumbler? Io personalmente mi sono sempre trovato male con thunar e preferisco usare xfe un ottimo file manager.
Il canale ufficiale di slacky.eu si trova sui server irc.syrolnet.org canale #slackware
Avatar utente
Plaoo
Linux 2.6
Linux 2.6
 
Messaggi: 809
Iscritto il: gio apr 10, 2008 16:40
Località: Ittiri (SS)
Slackware: 14 64
Kernel: 3.2.9
Desktop: KDE

Prossimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti